xine-lib: xine-lib-1.2.12/src/input/http_helper.h File Reference

xine-lib 1.2.12

Data Structures | Functions
http_helper.h File Reference
`#include <xine/attributes.h>`
`#include <xine/xine_internal.h>`

Go to the source code of this file.

## Data Structures
struct | xine_url_t

## Functions
const char * | _x_url_user_agent (const char *url)
void | _x_url_init (xine_url_t *url)
int | _x_url_parse2 (const char *mrl, xine_url_t *url)
void | _x_url_cleanup (xine_url_t *)
size_t | _x_merge_mrl (char *dest, size_t dsize, const char *base_mrl, const char *new_mrl)
| merge a new, possibly relative mrl with a given base. result will always be 0 terminated. More...
static char * | _x_canonicalise_url (const char *base, const char *url)

## Function Documentation

## ◆ _x_canonicalise_url()

static char * _x_canonicalise_url | ( | const char * | base,
|  | const char * | url
| ) |  |
| inlinestatic

References _x_asprintf(), _x_assert, and NULL.

## ◆ _x_merge_mrl()

size_t _x_merge_mrl | ( | char * | dest,
|  | size_t | dsize,
|  | const char * | base_mrl,
|  | const char * | new_mrl
| ) |  |

merge a new, possibly relative mrl with a given base. result will always be 0 terminated.

Parameters

  dest | the buffer to write the result to. may be NULL.
  dsize | the size of *dest in bytes.
  base_mrl | the base to fill missing parts with. may be the same as dest, or NULL.
  new_mrl | the new mrl. may be NULL.

Returns
  the string length of result. will be >= dsize when truncated.

References tab_type.

Referenced by hls_input_open(), hls_input_open_bump(), hls_input_open_item(), http_plugin_handshake(), and mpd_build_mrl().

## ◆ _x_url_cleanup()

void _x_url_cleanup | ( | xine_url_t * | url | ) |

References xine_url_t::args, xine_url_t::buf, xine_url_t::host, NULL, xine_url_t::password, xine_url_t::path, xine_url_t::port, xine_url_t::proto, xine_url_t::uri, and xine_url_t::user.

Referenced by _ftp_open(), _get_dir(), _get_dir_common(), _open_plugin(), http_close(), http_restart(), mms_close(), mms_connect(), mmsh_close(), mmsh_connect(), and net_plugin_open().

## ◆ _x_url_init()

void _x_url_init | ( | xine_url_t * | url | ) |

References xine_url_t::args, xine_url_t::buf, xine_url_t::host, NULL, xine_url_t::password, xine_url_t::path, xine_url_t::port, xine_url_t::proto, xine_url_t::uri, and xine_url_t::user.

Referenced by net_plugin_open().

## ◆ _x_url_parse2()

int _x_url_parse2 | ( | const char * | mrl,
|  | xine_url_t * | url
| ) |  |

References xine_url_t::args, mrlp_t::args_start, mrlp_t::args_stop, xine_url_t::buf, escape(), esclen(), xine_url_t::host, mrlp_t::host_start, mrlp_t::host_stop, mrlp_t::info_start, mrlp_t::info_stop, NULL, mrlp_t::pass_start, mrlp_t::pass_stop, xine_url_t::password, xine_url_t::path, mrlp_t::path_start, mrlp_t::path_stop, mrlp_t::port, xine_url_t::port, mrlp_t::prot_start, mrlp_t::prot_stop, xine_url_t::proto, tab_type, unescape(), xine_url_t::uri, xine_url_t::user, mrlp_t::user_start, mrlp_t::user_stop, v, and z.

Referenced by _ftp_open(), _get_dir(), _get_dir_common(), _open_plugin(), http_plugin_open(), mms_connect(), mmsh_connect(), and net_plugin_open().

## ◆ _x_url_user_agent()

const char * _x_url_user_agent | ( | const char * | url | ) |

References NULL.

Referenced by http_can_handle(), and http_plugin_open().